<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="common_trans_obj.xsd"/>
<xsd:include schemaLocation="common_obj.xsd"/>

	<xsd:element name="MCU_MEMORY_STATE" type="McuMemoryStateContent"/>
	<xsd:element name="RAM_TOTAL" type="xsd:integer"/>
	<xsd:element name="PARTITION_BUFFER_FREE" type="xsd:integer"/>
	<xsd:element name="REGION_MEMORY_FREE" type="xsd:integer"/>
	<xsd:element name="LARGEST_AVAILABLE_ALLOCATION" type="xsd:integer"/>
	<xsd:element name="FRAGMENTATION_PROC" type="xsd:integer"/>
	<xsd:element name="PARTITION_LIMIT" type="xsd:integer"/>
	<xsd:element name="REGION_LIMIT" type="xsd:integer"/>
	<xsd:element name="FRAGMENTATION_LIMIT" type="xsd:integer"/>





	<xsd:complexType name="McuMemoryStateContent">
		<xsd:sequence>
			<xsd:element ref="RAM_TOTAL"/>
			<xsd:element ref="PARTITION_BUFFER_FREE"/>
			<xsd:element ref="REGION_MEMORY_FREE"/>
			<xsd:element ref="LARGEST_AVAILABLE_ALLOCATION"/>
			<xsd:element ref="FRAGMENTATION_PROC"/>
			<xsd:element ref="PARTITION_LIMIT"/>
			<xsd:element ref="REGION_LIMIT"/>
			<xsd:element ref="FRAGMENTATION_LIMIT"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>


</xsd:schema>